unit Language;

interface            

Var Taal: String;

Procedure SetLanguage(Lang: String);

implementation

uses Chart_pas, FTPconfig, CalUnit, Unit4, Wunder;

Procedure SetLanguage(Lang: String);
var Idx: Integer;
begin
  If Lang='Nederlands' then
  begin
    Form1.SavePressureGraphas1.Caption := 'Druk grafiek opslaan als...';
    Form1.SaveTemperatureGraphas1.Caption := 'Temperatuur grafiek opslaan als...';
    Form1.SaveListas1.Caption :='Lijst opslaan als...';
    Form1.Files1.Caption:='Bestanden...';
    Form1.Caption:='Barometrische Druk Sensor';
    Form1.TabSheet1.Caption:='Grafieken';
    Form1.TabSheet2.Caption:='Lijst';
    Form1.TabSheet3.Caption:='Instrumenten';
    Form1.Panel1.Caption:='Maat: 275 x 275 px.';
    Form1.Panel2.Caption:='Maat: 275 x 275 px.';
    Form1.RadioButton1.Caption:='Ronde Thermometer';
    Form1.RadioButton2.Caption:='Verticale Thermometer';
    Form1.Fi1.Caption:='&Bestand';
    Form1.SaveGraph1.Caption:='Grafieken opslaan';
    Form1.SaveList1.Caption:='Lijst opslaan';
    Form1.Exit1.Caption:='Einde';
    Form1.Options1.Caption:='&Opties';
    Form1.Generalsettings1.Caption:='Algemene instellingen...';
    Form1.Calibration1.Caption:='Calibratie...';
    Form1.FTPupload1.Caption:='FTP upload...';
    Form1.WeatherUnderground1.Caption:='Weather Underground...';
    Form1.EraseGraph1.Caption:='Grafiek wissen';
    Form1.EraseList1.Caption:='Lijst wissen';
    Form1.Help1.Caption:='&Help';
    Form1.About1.Caption:='Over...';
    Form1.Hardwareinformation1.Caption:='Hardware informatie...';
    Form1.Taal1.Caption := 'Taal';
    Form1.Nederlands1.Caption := 'Nederlands';
    Form1.Engels1.Caption := 'Engels';
    Form1.StringGrid1.Cells[1,0] := 'Datum/Tijd';
    Form1.StringGrid1.Cells[2,0] := 'Luchtdruk (hPa.)';
    Form1.StringGrid1.Cells[3,0] := 'Temperatuur (C.)';
    Form1.Pauze1.Caption := 'Scrollen stoppen';
    Form1.Meten1.Caption := 'Automatisch scrollen';
    Form2.RadioGroup1.Items[0]:='10 seconden';
    Form2.RadioGroup1.Items[1]:='20 seconden';
    Form2.RadioGroup1.Items[2]:='30 seconden';
    Form2.RadioGroup1.Items[3]:=' 1 minuut';
    Form2.RadioGroup1.Items[4]:=' 2 minuten';
    Form2.RadioGroup1.Items[5]:=' 3 minuten';
    Form2.RadioGroup1.Items[6]:=' 4 minuten';
    Form2.RadioGroup1.Items[7]:=' 5 minuten';
    Form2.RadioGroup1.Items[8]:='10 minuten';
    Form2.RadioGroup1.Items[9]:='20 minuten';
    Form2.RadioGroup1.Items[10]:='30 minuten';
    Form2.RadioGroup1.Items[11]:=' 1 uur';
    Form2.RadioGroup1.Items[12]:=' 2 uur';
    Form2.RadioGroup1.Items[13]:=' 4 uur';
    Form2.Caption:='FTP Configuratie';
    Form2.Label1.Caption:='Host:';
    Form2.Label2.Caption:='Gebruikersnaam:';
    Form2.Label3.Caption:='Wachtwoord:';
    Form2.Label4.Caption:='Server Dir.';
    Form2.Label5.Caption:='Status:';
    Form2.Edit2.Text:='Druk.png';
    Form2.Edit3.Text:='Temperatuur.png';
    Form2.CheckBox1.Caption:='Pressure bestand:';
    Form2.CheckBox2.Caption:='Temperatuur bestand:';
    Form2.RadioGroup1.Caption:='Upload Interval:';
    Form2.CheckBox3.Caption:='Barometer afbeelding';
    Form2.CheckBox4.Caption:='Thermometer afb.';
    Form2.Edit4.Text:='Barometer.png';
    Form2.Edit5.Text:='Thermometer.png';
    Form3.Caption:='Calibratie';
    Form3.Label1.Caption:='Druk calibratie:';
    Form3.Label2.Caption:='Temperatuur calibratie';
    Form4.Caption:='Meet gegevens';
    Form4.RadioGroup1.Caption:= ' Meet elke:';
    Form4.RadioGroup2.Caption:=' Data opslaan als:';
    Form4.GroupBox1.Caption:=' Middelen:';
    Form4.Label1.Caption:='Gemiddelde van';
    Form4.Label2.Caption:='metingen';
    Form4.CheckBox1.Caption:='Afronding van grafische data';
    Form4.GroupBox2.Caption:='Druk grafiek:';
    Form4.Label3.Caption:='Grafiek kleur:';
    Form4.Label4.Caption:='Lijndikte:';
    Form4.Label7.Caption:='Tekst boven grafiek:';
    Form4.Label9.Caption:='Datum tekst:';
    Form4.Label11.Caption:='Schaal:';
    Form4.CheckBox2.Caption:='Stappen';
    Form4.CheckBox4.Caption:='Toon punten';
    If Form4.Edit1.Text = 'Barometric Pressure (hPa.)' then
       Form4.Edit1.Text:='Barometrische Druk (hPa.)';
    if Form4.Edit3.Text = 'Date:' then
       Form4.Edit3.Text:='Datum:';
    Form4.CheckBox6.Caption:='Automatische Schaal';
    Form4.GroupBox3.Caption:=' Temperatuur grafiek:';
    Form4.Label5.Caption:='Grafiek kleur:';
    Form4.Label6.Caption:='Lijn dikte:';
    Form4.Label8.Caption:='Tekst boven temepatuur grafiek:';
    Form4.Label10.Caption:='Datum tekst:';
    Form4.Label12.Caption:='Schaal:';
    Form4.CheckBox3.Caption:='Stappen';
    Form4.CheckBox5.Caption:='Toon punten';
    if Form4.Edit2.Text='Sensor Temperature (C.)' then
      Form4.Edit2.Text:='Sensor Temperatuur (C.)';
    if Form4.Edit4.Text = 'Date:' then
       Form4.Edit4.Text:='Datum:';
    Form4.IntEdit3.Text:='-40';
    Form4.IntEdit4.Text:='80';
    Form4.CheckBox7.Caption:='Automatische Schaal';
    Form4.RadioGroup1.Items[0]:=' 5 seconden';
    Form4.RadioGroup1.Items[1]:='10 seconden';
    Form4.RadioGroup1.Items[2]:='20 seconden';
    Form4.RadioGroup1.Items[3]:='30 seconden';
    Form4.RadioGroup1.Items[4]:=' 1 minuut';
    Form4.RadioGroup1.Items[5]:=' 2 minuten';
    Form4.RadioGroup1.Items[6]:=' 5 minuten';
    Form4.RadioGroup1.Items[7]:='10 minuten';
    Form4.RadioGroup1.Items[8]:='20 minuten';
    Form4.RadioGroup1.Items[9]:='30 minuten';
    Form4.RadioGroup2.Items[0]:='Normale tekst';
    Form4.RadioGroup2.Items[1]:='Komma gescheiden tekst (CSV)';
    Form4.RadioGroup2.Items[2]:='Excel bestand';
    Form4.SpinEdit1.Left := 96;
    Form4.Label2.Left := 134;
    Form4.ColorPickCombo1.OtherBtnCaption:='&Meer kleuren...';
    Form4.ColorPickCombo2.OtherBtnCaption:='&Meer kleuren...';
    fWunder.Caption:='Weather Underground Upload';
    fWunder.GroupBox1.Caption:=' Account en reportage details:';
    fWunder.Label1.Caption:='Weather Underground Station ID:';
    fWunder.Label2.Caption:='Weather Underground Wachtwoord:';
    fWunder.Label3.Caption:='Laatste Druk (Baromin)';
    fWunder.Label4.Caption:='Laatste Temperatuur (Fahrenheit)';
    fWunder.Label5.Caption:='Laatste antwoord van server:';
    fWunder.Label6.Caption:='Upload Interval:';
    fWunder.Label7.Caption:='Voor meer informatie:';
//  fWunder.HotLabel1.Caption:='http://www.wunderground.com/';
    Idx := fWunder.ComboBox1.ItemIndex;
    fWunder.ComboBox1.Items[0] := 'Nooit';
    fWunder.ComboBox1.Items[1] := 'Om de 5 minuten';
    fWunder.ComboBox1.Items[2] := 'Om de 10 minuten';
    fWunder.ComboBox1.Items[3] := 'Om de 20 minuten';
    fWunder.ComboBox1.Items[4] := 'Om de 30 minuten';
    fWunder.ComboBox1.Items[5] := 'Elk uur';
    fWunder.ComboBox1.Items[6] := 'Na 2 uur';
    fWunder.ComboBox1.Items[7] := 'Na 3 uur';
    fWunder.ComboBox1.Items[8] := 'Na 4 uur';
    fWunder.ComboBox1.Items[9] := 'Na 6 uur';
    fWunder.ComboBox1.ItemIndex := Idx;
  end;
  If Lang = 'English' then
  begin
    Form1.SavePressureGraphas1.Caption := 'Save Pressure Graph as...';
    Form1.SaveTemperatureGraphas1.Caption := 'Save Temperature Graph as...';
    Form1.SaveListas1.Caption :='Save List as...';
    Form1.Files1.Caption:='Files...';
    Form1.Caption:='Barometric Pressure Sensor';
    Form1.TabSheet1.Caption:='Graphs';
    Form1.TabSheet2.Caption:='List';
    Form1.TabSheet3.Caption:='Instruments';
    Form1.Panel1.Caption:='Size: 275 x 275 px.';
    Form1.Panel2.Caption:='Size: 275 x 275 px.';
    Form1.RadioButton1.Caption:='Round Thermometer';
    Form1.RadioButton2.Caption:='Vertical Thermometer';
    Form1.Fi1.Caption:='&File';
    Form1.SaveGraph1.Caption:='Save Graphs';
    Form1.SaveList1.Caption:='Save List';
    Form1.Exit1.Caption:='Exit';
    Form1.Options1.Caption:='&Options';
    Form1.Generalsettings1.Caption:='General settings...';
    Form1.Calibration1.Caption:='Calibration...';
    Form1.FTPupload1.Caption:='FTP upload...';
    Form1.WeatherUnderground1.Caption:='Weather Underground...';
    Form1.EraseGraph1.Caption:='Clear Graph';
    Form1.EraseList1.Caption:='Clear List';
    Form1.Help1.Caption:='&Help';
    Form1.About1.Caption:='About...';
    Form1.Hardwareinformation1.Caption:='Hardware information...';
    Form1.Taal1.Caption := 'Language';
    Form1.Nederlands1.Caption := 'Dutch';
    Form1.Engels1.Caption := 'English';
    Form1.StringGrid1.Cells[1,0] := 'Date/Time';
    Form1.StringGrid1.Cells[2,0] := 'Pressure (hPa.)';
    Form1.StringGrid1.Cells[3,0] := 'Temperature (C.)';
    Form1.Pauze1.Caption := 'Stop scrolling';
    Form1.Meten1.Caption := 'Autoscroll';
    Form2.RadioGroup1.Items[0]:='10 seconds';
    Form2.RadioGroup1.Items[1]:='20 seconds';
    Form2.RadioGroup1.Items[2]:='30 seconds';
    Form2.RadioGroup1.Items[3]:=' 1 minute';
    Form2.RadioGroup1.Items[4]:=' 2 minutes';
    Form2.RadioGroup1.Items[5]:=' 3 minutes';
    Form2.RadioGroup1.Items[6]:=' 4 minutes';
    Form2.RadioGroup1.Items[7]:=' 5 minutes';
    Form2.RadioGroup1.Items[8]:='10 minutes';
    Form2.RadioGroup1.Items[9]:='20 minutes';
    Form2.RadioGroup1.Items[10]:='30 minutes';
    Form2.RadioGroup1.Items[11]:=' 1 hours';
    Form2.RadioGroup1.Items[12]:=' 2 hours';
    Form2.RadioGroup1.Items[13]:=' 4 hours';
    Form2.Caption:='FTP Configuration';
    Form2.Label1.Caption:='Host:';
    Form2.Label2.Caption:='Username:';
    Form2.Label3.Caption:='Password:';
    Form2.Label4.Caption:='Server Dir.';
    Form2.Label5.Caption:='Status:';
    Form2.Edit2.Text:='Pressure.png';
    Form2.Edit3.Text:='Temperature.png';
    Form2.CheckBox1.Caption:='Pressure file:';
    Form2.CheckBox2.Caption:='Temperature file:';
    Form2.RadioGroup1.Caption:=' Upload Interval:';
    Form2.CheckBox3.Caption:='Barometer picture';
    Form2.CheckBox4.Caption:='Thermometer pict.';
    Form2.Edit4.Text:='Barometer.png';
    Form2.Edit5.Text:='Thermometer.png';
    Form3.Caption:='Calibration';
    Form3.Label1.Caption:='Pressure calibration:';
    Form3.Label2.Caption:='Temperature calibration';
    Form4.Caption:='Measurement data';
    Form4.RadioGroup1.Caption:=' Measure every:';
    Form4.RadioGroup2.Caption:=' Save data as:';
    Form4.GroupBox1.Caption:=' Averaging:';
    Form4.Label1.Caption:='Average of';
    Form4.Label2.Caption:='measurements';
    Form4.CheckBox1.Caption:='Smoothing of graphic data';
    Form4.GroupBox2.Caption:='Pressure graph:';
    Form4.Label3.Caption:='Graph color:';
    Form4.Label4.Caption:='Linewidth:';
    Form4.Label7.Caption:='Text above pressure graph:';
    Form4.Label9.Caption:='Date text:';
    Form4.Label11.Caption:='Scale:';
    Form4.CheckBox2.Caption:='Stepped';
    Form4.CheckBox4.Caption:='Show dots';
    if Form4.Edit1.Text='Barometrische Druk (hPa.)' then
      Form4.Edit1.Text:='Barometric Pressure (hPa.)';
    if Form4.Edit3.Text = 'Datum:' then
      Form4.Edit3.Text:='Date:';
    Form4.CheckBox6.Caption:='Automatic Scale';
    Form4.GroupBox3.Caption:=' Temperature graph:';
    Form4.Label5.Caption:='Graph color:';
    Form4.Label6.Caption:='Linewidth:';
    Form4.Label8.Caption:='Text above temperature graph:';
    Form4.Label10.Caption:='Date text:';
    Form4.Label12.Caption:='Scale:';
    Form4.CheckBox3.Caption:='Stepped';
    Form4.CheckBox5.Caption:='Show dots';
    if Form4.Edit2.Text='Sensor Temperatuur (C.)' then
      Form4.Edit2.Text:='Sensor Temperature (C.)';
    if Form4.Edit4.Text='Datum:' then
      Form4.Edit4.Text:='Date:';
    Form4.CheckBox7.Caption:='Automatic Scale';
    Form4.RadioGroup1.Items[0]:=' 5 seconds';
    Form4.RadioGroup1.Items[1]:='10 seconds';
    Form4.RadioGroup1.Items[2]:='20 seconds';
    Form4.RadioGroup1.Items[3]:='30 seconds';
    Form4.RadioGroup1.Items[4]:=' 1 minute';
    Form4.RadioGroup1.Items[5]:=' 2 minutes';
    Form4.RadioGroup1.Items[6]:=' 5 minutes';
    Form4.RadioGroup1.Items[7]:='10 minutes';
    Form4.RadioGroup1.Items[8]:='20 minutes';
    Form4.RadioGroup1.Items[9]:='30 minutes';
    Form4.RadioGroup2.Items[0]:='Plain text';
    Form4.RadioGroup2.Items[1]:='Comma Separated Text (CSV)';
    Form4.RadioGroup2.Items[2]:='Excel data';
    Form4.SpinEdit1.Left := 72;
    Form4.Label2.Left := 108;
    Form4.ColorPickCombo1.OtherBtnCaption:='&Other colors...';
    Form4.ColorPickCombo2.OtherBtnCaption:='&Other colors...';
    fWunder.Caption:='Weather Underground Upload';
    fWunder.GroupBox1.Caption:=' Account and reporting details:';
    fWunder.Label1.Caption:='Weather Underground Station ID:';
    fWunder.Label2.Caption:='Weather Underground Password:';
    fWunder.Label3.Caption:='Last Pressure (Baromin)';
    fWunder.Label4.Caption:='Last Temperature (Fahrenheit)';
    fWunder.Label5.Caption:='Last response from server:';
    fWunder.Label6.Caption:='Upload Interval:';
    fWunder.Label7.Caption:='For more information:';
    fWunder.HotLabel1.Caption:='http://www.wunderground.com/';
    Idx := fWunder.ComboBox1.ItemIndex;
    fWunder.ComboBox1.Items[0] := 'Never';
    fWunder.ComboBox1.Items[1] := 'Every 5 minutes';
    fWunder.ComboBox1.Items[2] := 'Every 10 minutes';
    fWunder.ComboBox1.Items[3] := 'Every 20 minutes';
    fWunder.ComboBox1.Items[4] := 'Every 30 minutes';
    fWunder.ComboBox1.Items[5] := 'Every hour';
    fWunder.ComboBox1.Items[6] := 'After 2 hours';
    fWunder.ComboBox1.Items[7] := 'After 3 hours';
    fWunder.ComboBox1.Items[8] := 'After 4 hours';
    fWunder.ComboBox1.Items[9] := 'After 6 hours';
    fWunder.ComboBox1.ItemIndex:= Idx;
  end;
end;

end.
