unit Wunder;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, Wunderground, StdCtrls, ExtCtrls, HotLabel, ShellApi;

type
  TfWunder = class(TForm)
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Edit2: TEdit;
    Label3: TLabel;
    Panel1: TPanel;
    Label4: TLabel;
    Panel2: TPanel;
    Label5: TLabel;
    Memo1: TMemo;
    Label6: TLabel;
    ComboBox1: TComboBox;
    Label7: TLabel;
    HotLabel1: THotLabel;
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure HotLabel1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Procedure DoUpload;
  end;

var
  fWunder: TfWunder;

implementation

{$R *.dfm}

Function DateTimeUTC: String;
var ST: TSystemTime;
begin
  GetSystemTime(ST);
  Result := IntToStr(ST.wYear) + '-';
  If ST.wMonth < 10 then Result := Result + '0';
  Result := Result + IntToStr(ST.wMonth) + '-';
  If ST.wDay < 10 then Result := Result + '0';
  Result := Result + IntToStr(ST.wDay) + ' ';

  Result := Result + IntToStr(ST.wHour) + ':';
  If ST.wMinute < 10 then Result := Result + '0';
  Result := Result + IntToStr(ST.wMinute) + ':';
  If ST.wSecond < 10 then Result := Result + '0';
  Result := Result + IntToStr(ST.wSecond);
end;

// ----------------------------------------------------------------------------
Procedure TfWunder.DoUpload;
var s: String;
begin
  If (TRIM(Edit1.Text) = '') or (TRIM(Edit2.Text) = '') or
     (Panel1.Caption = '') or (Panel2.Caption = '') then Exit;
  s := SendToWunderground(TRIM(Edit1.Text), TRIM(Edit2.Text), DateTimeUTC,
                          Panel1.Caption, Panel2.Caption);
  If s[Length(s)] = CHR(10) then Delete(s, Length(s), 1);
  Memo1.Text := s;
end;

// ----------------------------------------------------------------------------

procedure TfWunder.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
   Key := UpCase(Key);
end;

// ----------------------------------------------------------------------------
procedure TfWunder.HotLabel1Click(Sender: TObject);
begin
  ShellExecute(Self.WindowHandle, 'open', 'http://www.wunderground.com/',
               nil, nil, SW_SHOWNORMAL);
end;

end.
