unit Wunderground;

interface

function SendToWunderground (const StationID, Password, DateUTC, Pressure, Temperature: String): string;

implementation

uses SysUtils, WinINET, HttpApp;

// ----------------------------------------------------------------------------
function SendToWunderground (const StationID, Password, DateUTC, Pressure, Temperature: String): String;

const ResponseSize = 1024;
      URL = 'http://weatherstation.wunderground.com/weatherstation/updateweatherstation.php?ID=%s&PASSWORD=%s&dateutc=%s&baromin=%s&tempf=%s&softwaretype=PSensor&action=updateraw';
var   hSession, hURL: HInternet;
      Request: String;
      ResponseLength: Cardinal;
begin
  hSession := InternetOpen('PSensor', INTERNET_OPEN_TYPE_PRECONFIG, nil, nil, 0);
  try
    Request := Format(URL,[StationID, Password, DateUTC, Pressure, Temperature]);
    hURL := InternetOpenURL(hSession, PChar(Request), nil, 0, 0, 0);
    try
      SetLength(Result, ResponseSize);
      InternetReadFile(hURL, PChar(Result), ResponseSize, ResponseLength);
      SetLength(Result, ResponseLength)
    finally
      InternetCloseHandle(hURL)
    end
  finally
    InternetCloseHandle(hSession)
  end
end;

// ----------------------------------------------------------------------------
end.
